Get Payment Methods
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/payment-methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/payment-methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sellauth.com/v1/shops/{shopId}/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"data": [
{
"id": 1,
"shop_id": 1,
"type": "stripe",
"name": "Stripe",
"checkout_name": null,
"icon_image_id": null,
"percentage_fee": 0,
"fixed_fee": 0,
"min_amount": null,
"max_amount": null,
"currency_override": null,
"hide_powered_by": false,
"is_active": true,
"order": 0,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null,
"icon_image_url": null,
"icon_image": null
},
{
"id": 2,
"shop_id": 1,
"type": "CUSTOMERBALANCE",
"name": "Customer Balance",
"checkout_name": null,
"icon_image_id": null,
"percentage_fee": 0,
"fixed_fee": 0,
"min_amount": null,
"max_amount": null,
"currency_override": null,
"hide_powered_by": false,
"is_active": true,
"order": 0,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null,
"icon_image_url": null,
"icon_image": null
}
],
"first_page_url": "http://api.sellauth.test/v1/shops/1/payment-methods?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "http://api.sellauth.test/v1/shops/1/payment-methods?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/payment-methods?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "http://api.sellauth.test/v1/shops/1/payment-methods",
"per_page": 100,
"prev_page_url": null,
"to": 2,
"total": 2
}Payment Methods
Get Payment Methods
Retrieves the payment methods.
GET
/
v1
/
shops
/
{shopId}
/
payment-methods
Get Payment Methods
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Response
200 - application/json
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"id": 1,
"shop_id": 1,
"type": "stripe",
"name": "Stripe",
"checkout_name": null,
"icon_image_id": null,
"percentage_fee": 0,
"fixed_fee": 0,
"min_amount": null,
"max_amount": null,
"currency_override": null,
"hide_powered_by": false,
"is_active": true,
"order": 0,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null,
"icon_image_url": null,
"icon_image": null
},
{
"id": 2,
"shop_id": 1,
"type": "CUSTOMERBALANCE",
"name": "Customer Balance",
"checkout_name": null,
"icon_image_id": null,
"percentage_fee": 0,
"fixed_fee": 0,
"min_amount": null,
"max_amount": null,
"currency_override": null,
"hide_powered_by": false,
"is_active": true,
"order": 0,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null,
"icon_image_url": null,
"icon_image": null
}
]
Example:
"http://api.sellauth.test/v1/shops/1/payment-methods?page=1"
Example:
1
Example:
1
Example:
"http://api.sellauth.test/v1/shops/1/payment-methods?page=1"
Show child attributes
Show child attributes
Example:
[
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/payment-methods?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
]
Example:
null
Example:
"http://api.sellauth.test/v1/shops/1/payment-methods"
Example:
100
Example:
null
Example:
2
Example:
2